#include <fxdll.h>
#include <math.h>

static int logx_(INSTANCE * my, int * params)
{  
	float result;
	result=(float)log10((double)*(float*)&params[0])/(float)log10((double)*(float*)&params[1]);	

	return *(int*)&result;
}

static int log10_(INSTANCE * my, int * params)
{  
	float result;
	result=(float)log10((double)*(float*)&params[0]);	

	return *(int*)&result;
}

static int log2_(INSTANCE * my, int * params)
{  
	float result;
	result=(float)log10((double)*(float*)&params[0])/(float)log10(2);

	return *(int*)&result;
}

static int loge_(INSTANCE * my, int * params)
{  
	float result;
	result=(float)log((double)*(float*)&params[0]);

	return *(int*)&result;
}


FENIX_MainDLL RegisterFunctions (COMMON_PARAMS)
{
    FENIX_DLLImport

	FENIX_export ("LOG","FF",TYPE_FLOAT, logx_);
	FENIX_export ("LOG","F",TYPE_FLOAT, log10_);
	FENIX_export ("LN","F",TYPE_FLOAT, loge_);
	FENIX_export ("LOG2","F",TYPE_FLOAT, log2_);	
}